.locale-toggle {
  padding: var(--margin-sm) var(--margin);

  display: flex;
  align-items: center;
  gap: var(--margin-sm);

  isolation: isolate;
}

.locale-toggle fieldset {
  padding: 0;
  margin: 0;

  display: flex;
  flex: 1;

  border: none;
  background: none;
}

.locale-toggle input {
  /* We do not make them "display: none;" to keep them focusable. */
  position: absolute;
  opacity: 0;
  z-index: -1;
}

.locale-toggle label {
  padding: var(--margin-sm);

  flex: 1;

  background: var(--color-secondary);

  cursor: pointer;
  text-align: center;
  transition: background var(--transition-duration);
}

.locale-toggle label.active {
  background: var(--color-primary);
}

.locale-toggle label:hover,
.locale-toggle label:focus-within {
  background: var(--color-primary-h1);
}

.locale-toggle .first {
  border-radius: var(--border-radius) 0 0 var(--border-radius);
}

.locale-toggle .last {
  border-radius: 0 var(--border-radius) var(--border-radius) 0;
}